(function($, Drupal) {
  // Custom functions and variables can go here
  Drupal.behaviors.custom_js_libraries_royal_slider = {
    attach:function() {

      jQuery(document).ready(function($) {
        $('.royalSlider').royalSlider({
          fullscreen: {
            enabled: true,
            nativeFS: true
          },
          controlNavigation: 'thumbnails',
          autoScaleSlider: true, 
          autoScaleSliderWidth: 960,     
          autoScaleSliderHeight: 850,
          loop: false,
          imageScaleMode: 'fit-if-smaller',
          navigateByClick: true,
          numImagesToPreload:2,
          arrowsNav:true,
          arrowsNavAutoHide: true,
          arrowsNavHideOnTouch: true,
          keyboardNavEnabled: true,
          fadeinLoadedSlide: true,
          globalCaption: true,
          globalCaptionInside: false,
          thumbs: {
            spacing: 10,
            arrowsAutoHide: true
          }
        });
      });

    }
  };
}(jQuery, Drupal));